

<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h4 class="modal-title" id="myRetailerLabel" jhiTranslate="coreDataE1App.retailer.home.createOrEditLabel">Create or edit a Retailer</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!retailer.id">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id"
                   [(ngModel)]="retailer.id" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="coreDataE1App.retailer.code" for="field_code">Code</label>
            <input type="number" class="form-control" name="code" id="field_code"
                [(ngModel)]="retailer.code"
            required min="10000" />
            <div [hidden]="!(editForm.controls.code?.dirty && editForm.controls.code?.invalid)">
                <small class="form-text text-danger"
                   [hidden]="!editForm.controls.code?.errors?.required" jhiTranslate="entity.validation.required">
                   This field is required.
                </small>
                <small class="form-text text-danger"
                    [hidden]="!editForm.controls.code?.errors?.min" jhiTranslate="entity.validation.min" translateValues="{ min: 10000 }">
                    This field should be at least 10000.
                </small>
                <small class="form-text text-danger"
                    [hidden]="!editForm.controls.code?.errors?.number" jhiTranslate="entity.validation.number">
                    This field should be a number.
                </small>
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="coreDataE1App.retailer.name" for="field_name">Name</label>
            <input type="text" class="form-control" name="name" id="field_name"
                [(ngModel)]="retailer.name"
             />
        </div>

        <div class="form-group">
            <label jhiTranslate="coreDataE1App.retailer.address" for="field_address">Address</label>
            <select class="form-control" id="field_address" name="address" [(ngModel)]="retailer.address" >
                <option [ngValue]="null"></option>
                <option [ngValue]="addressOption.id === retailer.address?.id ? retailer.address : addressOption" *ngFor="let addressOption of addresses; trackBy: trackAddressById">{{addressOption.id}}</option>
            </select>
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal" (click)="clear()">
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
    </div>
</form>
